=== src/usr.bin/file2c/Makefile ===
# $FreeBSD$

PROG=	file2c
.include <bsd.prog.mk>
