=== debian/changelog ===
freebsd-buildutils (10.0-8ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 23 Mar 2016 11:03:16 -0500

freebsd-buildutils (10.0-8) unstable; urgency=medium

  * Team upload.
  * Backport "Multi-Arch: foreign" from experimental

 -- Christoph Egger <christoph@debian.org>  Tue, 22 Mar 2016 21:12:31 +0100

freebsd-buildutils (10.0-7ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 11 Jul 2015 00:19:41 -0700

freebsd-buildutils (10.0-7) unstable; urgency=medium

  * Cherry-pick r276494 from HEAD:
    Don't include bsd.sys.mk within bsd.kmod.mk
  * binary-indep target requires binary-arch to run first.

 -- Steven Chamberlain <steven@pyro.eu.org>  Wed, 08 Jul 2015 16:44:07 +0100

freebsd-buildutils (10.0-6) experimental; urgency=medium

  * Raise Build-Depends on freebsd-glue to >= 0.2.20~, to not be
    affected by #759249 if the installed libbsd-dev is newer
  * Do not use -fstack-protector on alpha

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 21 Oct 2014 22:50:38 +0100

freebsd-buildutils (10.0-5ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 12 Nov 2014 01:30:10 -0500

freebsd-buildutils (10.0-5) unstable; urgency=medium

  [ Petr Salinger ]
  * Backport mk_hyperv, needed by 10.1 RC

  [ Steven Chamberlain ]
  * backports MK_TESTS for freebsd-utils (>> 10.1~)
  * Do not use -fstack-protector on hppa/parisc arch (thanks, Helge
    Deller) (Closes: #758377)
  * In get-orig-source, svn export with --ignore-keywords so that
    revision tags do not fuzzy the patches
  * Add myself to Uploaders

 -- Petr Salinger <Petr.Salinger@seznam.cz>  Sat, 04 Oct 2014 18:16:23 +0200

freebsd-buildutils (10.0-4ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 08 May 2014 02:00:48 -0400

freebsd-buildutils (10.0-4) unstable; urgency=low

  * Add MK_EISA.

 -- Robert Millan <rmh@debian.org>  Sun, 04 May 2014 14:15:29 +0200

freebsd-buildutils (10.0-3ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 14 Apr 2014 17:11:31 -0400

freebsd-buildutils (10.0-3) unstable; urgency=low

  * kldxref_abort_on_error.diff: Treat EFAULT condition as fatal (see
    comment in patch header).

 -- Robert Millan <rmh@debian.org>  Fri, 21 Feb 2014 20:31:13 +0100

freebsd-buildutils (10.0-2ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right
      thing.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 08 Feb 2014 15:05:00 +0000

freebsd-buildutils (10.0-2) unstable; urgency=low

  * Adjust LIBDATADIR, LIBEXECDIR and LINTLIBDIR for FHS conformance.

 -- Robert Millan <rmh@debian.org>  Wed, 15 Jan 2014 17:26:00 +0100

freebsd-buildutils (10.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh@debian.org>  Wed, 15 Jan 2014 13:37:23 +0100

freebsd-buildutils (10.0~svn259404-6) unstable; urgency=low

  * Upload to unstable.

 -- Robert Millan <rmh@debian.org>  Fri, 03 Jan 2014 17:12:31 +0100

freebsd-buildutils (10.0~svn259404-5) experimental; urgency=low

  * Break circular build-dependency with freebsd-glue by splitting
    freebsd-mk into a package of its own.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 23:17:49 +0100

freebsd-buildutils (10.0~svn259404-4) unstable; urgency=low

  * Correctly setup BSD version of MAKEFLAGS to support parallel builds.
  * Install make and mtree by their upstream names (fmake and fmtree).
    Remove the legacy symlinks (leave them to freebsd-glue).
  * Install file2c and brandelf directly to /usr/bin.
  * Move /usr/share/mk to /usr/share/mk-freebsd. This allows
    freebsd-buildutils to be installed alongside bmake.
  * Remove bootstrap magic. bmake is the default in upstream now: just
    use it to build fmake.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 17:43:51 +0100

freebsd-buildutils (10.0~svn259404-3) unstable; urgency=low

  * Fix aicasm install path.

 -- Robert Millan <rmh@debian.org>  Wed, 18 Dec 2013 12:15:59 +0100

freebsd-buildutils (10.0~svn259404-2) unstable; urgency=low

  * kldxref is kFreeBSD-only.

 -- Robert Millan <rmh@debian.org>  Tue, 17 Dec 2013 23:34:15 +0100

freebsd-buildutils (10.0~svn259404-1) unstable; urgency=low

  * New upstream snapshot (10.0-RC2).
    - Switch to releng/10.0 branch.
    - Add kldxref.

  [ Robert Millan ]
  * Fetch source code securely (https) in get-orig-source.

 -- Robert Millan <rmh@debian.org>  Tue, 17 Dec 2013 22:28:15 +0100

freebsd-buildutils (10~svn258496-1) unstable; urgency=low

  * New upstream snapshot.
    - Refresh all patches.
    - Add aicasm. It is now required by kernel builds.

  [ Guillem Jover ]
  * Remove myself from Uploaders.

 -- Robert Millan <rmh@debian.org>  Sat, 23 Nov 2013 15:48:42 +0100

freebsd-buildutils (10~svn253832-1) unstable; urgency=low

  * New upstream snapshot (provides MK_USB_GADGET_EXAMPLES).

 -- Robert Millan <rmh@debian.org>  Fri, 02 Aug 2013 21:04:11 +0200

freebsd-buildutils (10~svn251967-6) unstable; urgency=low

  * Bump freebsd-glue B-D to fix FTBFS.

 -- Robert Millan <rmh@debian.org>  Mon, 22 Jul 2013 21:57:31 +0200

freebsd-buildutils (10~svn251967-5) unstable; urgency=low

  * Reupload.

 -- Robert Millan <rmh@debian.org>  Mon, 22 Jul 2013 20:10:42 +0200


