=== debian/control ===
Source: freebsd-buildutils
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders:
 Aurelien Jarno <aurel32@debian.org>,
 Robert Millan <rmh@debian.org>,
 Steven Chamberlain <steven@pyro.eu.org>
Build-Depends: debhelper (>= 7), flex | flex-old, bison,
 libbsd-dev (>= 0.3.0),
 freebsd-glue (>= 0.2.20),
 bmake,
 byacc (>= 20120115~),
# for freebsd-config
 libsbuf-dev,
Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-buildutils/
Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-buildutils/
Standards-Version: 3.9.2

Package: freebsd-buildutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bsdmainutils, unzip, patchutils,
 freebsd-glue (>= 0.2.8~),
# Required by lex
 m4,
# Not strictly required anymore. But let's drag it in for now, to avoid breaking
# expectations.
 freebsd-mk,
Conflicts: freebsd5-buildutils, freebsd6-buildutils
Provides: freebsd6-buildutils, freebsd7-buildutils
Description: Utilities for building FreeBSD sources
 This package contains the FreeBSD counterparts of some standard build
 utilities (make, mkdep, lex ..)
 .
 They have some specific modifications needed to be able to build FreeBSD
 sources.

Package: freebsd-mk
Architecture: all
Multi-Arch: foreign
Replaces: freebsd-buildutils (<< 10.0~svn259404-5~)
Enhances: bmake
Description: FreeBSD makefile templates for bmake
 This package contains the makefile templates from the FreeBSD project. They
 provide simple rules to build programs, libraries, etc.
 .
 These templates provide an alternative to the default makefile templates
 shipped with bmake. If you want to enable them in your programs, simply
 invoke bmake as follows:
 .
 bmake -m /usr/share/mk-freebsd
