=== src/usr.bin/brandelf/Makefile ===
# $FreeBSD$

PROG=	brandelf

.include <bsd.prog.mk>
