=== src/usr.bin/cksum/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 4/28/95
# $FreeBSD$

PROG=	cksum
SRCS=	cksum.c crc.c print.c sum1.c sum2.c crc32.c
LINKS=	${BINDIR}/cksum ${BINDIR}/sum
MLINKS=	cksum.1 sum.1

.include <bsd.prog.mk>
