=== src/usr.bin/elfdump/Makefile ===
# $FreeBSD$

PROG=	elfdump

.include <bsd.prog.mk>
