=== src/usr.bin/file2c/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

PROG=	file2c

.if ${MK_TESTS} != "no"
SUBDIR+= tests
.endif

.include <bsd.prog.mk>
