=== src/usr.sbin/btxld/Makefile ===
# $FreeBSD$

PROG=	btxld
MAN=	btxld.8
SRCS=	btxld.c elfh.c

.include <bsd.prog.mk>
