=== src/usr.bin/file2c/tests/Makefile ===
# $FreeBSD$

TESTSDIR=	${TESTSBASE}/usr.bin/file2c

TAP_TESTS_SH=	legacy_test

FILESDIR=	${TESTSDIR}
FILES=		regress.1.out
FILES+=		regress.2.out
FILES+=		regress.3.out
FILES+=		regress.4.out
FILES+=		regress.5.out
FILES+=		regress.6.out
FILES+=		regress.7.out
FILES+=		regress.8.out
FILES+=		regress.9.out
FILES+=		regress.in
FILES+=		regress.sh

.include <bsd.test.mk>
