=== debian/changelog ===
freebsd-buildutils (10.3~svn296373-7) unstable; urgency=medium

  * Build fmtree with support for MD5, SHA1, RMD160, SHA256 checksums
    (Closes: #854184, #855072)
    - add Build-Depends: libmd-dev
    - refresh 22_ld_as_needed.diff
  * Merge patch from Ubuntu: prototype-setmode.diff (Logan Rosen)

 -- Steven Chamberlain <stevenc@debian.org>  Mon, 13 Feb 2017 21:45:25 +0000

freebsd-buildutils (10.3~svn296373-6) unstable; urgency=medium

  * Declare Conflicts: flex-old due to freebsd-buildutils shipping a
    libfl.a for freebsd-lex (Closes: #846578)
  * Make explicit Build-Depends on libfl-dev when using newer flex
    (Thanks, Helmut Grohne!) (Closes: #846427, #848736)

 -- Steven Chamberlain <stevenc@debian.org>  Sun, 08 Jan 2017 22:00:58 +0000

freebsd-buildutils (10.3~svn296373-5) unstable; urgency=medium

  * Fix typo in debian/rules causing FTBFS on arm* architectures

 -- Steven Chamberlain <stevenc@debian.org>  Tue, 29 Nov 2016 17:00:33 +0000

freebsd-buildutils (10.3~svn296373-4) unstable; urgency=medium

  * Add Build-Depends: dpkg-dev (>= 1.16.1.1) and use buildflags.mk
    to set CFLAGS, respecting DEB_BUILD_OPTIONS flags such as noopt
  * Enable hardening=+all, which includes PIE, relro and stack protector
  * Use architecture.mk instead of individual calls to dpkg-architecture
  * Create a new MACHINE_ARCH armv6hf for linux armhf and kfreebsd-armhf
    (Closes: #845105)

 -- Steven Chamberlain <stevenc@debian.org>  Tue, 29 Nov 2016 15:30:28 +0000

freebsd-buildutils (10.3~svn296373-3) unstable; urgency=medium

  * Update my email address in Uploaders
  * Make `ar` command lines visible in the build log
  * Adding missing required build-arch, build-indep targets
  * Now using Standards-Version 3.9.8
  * Now using debhelper compat v9
  * Add missing ${misc:Depends} to freebsd-mk (to satisfy lintian;
    although it evaluates to an empty list currently)

 -- Steven Chamberlain <stevenc@debian.org>  Tue, 19 Jul 2016 09:08:38 +0100

freebsd-buildutils (10.3~svn296373-2) unstable; urgency=medium

  * Upload to unstable
  * Use new preferred hostname for upstream SVN with HTTPS
    (svn.freebsd.org).

 -- Steven Chamberlain <steven@pyro.eu.org>  Mon, 04 Apr 2016 12:34:17 +0100

freebsd-buildutils (10.3~svn296373-1) experimental; urgency=medium

  * New upstream snapshot of 10.3-RC1
  * Mark freebsd-mk as Multi-Arch: foreign (thanks, Helmut Grohne!)
  * Actually use the proper build architecture compiler
  * Map Debian's kfreebsd-armhf to FreeBSD's armv6 MACHINE_ARCH
  * Add *.test.mk files to freebsd-mk, allowing reverse-dependencies to
    use WITH_TESTS=yes
  * Use relative path in manpage symlinks
      - man_symlinks.diff

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 05 Mar 2016 00:27:01 +0000

freebsd-buildutils (10.3~svn295289-1) experimental; urgency=medium

  * New upstream snapshot of 10.3-BETA1
  * Make get-orig-source tarball reproducible
  * Refresh patches:
    - mk_eisa.diff
    - yacc_is_byacc.diff
    - 15_manpages_gzip.diff
    - avoid_defsyspath_collision.diff
    - hppa.diff

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 06 Feb 2016 22:50:09 +0000

freebsd-buildutils (10.2-2) experimental; urgency=medium

  * arch=all autobuilding doesn't seem to work for this yet

 -- Christoph Egger <christoph@debian.org>  Wed, 21 Oct 2015 14:28:20 +0200

freebsd-buildutils (10.2-1) experimental; urgency=medium

  * Update to 10.2 source
  * refresh patches
    * drop mk_ncp.diff -- was a workaround for kfreebsd-9
    * drop mk_hyperv.diff and mk_tests.diff now upstream
  * Compress orig-source with xz

 -- Christoph Egger <christoph@debian.org>  Wed, 21 Oct 2015 12:10:45 +0200
