=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: freebsd-buildutils
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
+Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
 Uploaders:
  Aurelien Jarno <aurel32@debian.org>,
  Robert Millan <rmh@debian.org>,
- Steven Chamberlain <steven@pyro.eu.org>
-Build-Depends: debhelper (>= 7), flex | flex-old, bison,
+ Steven Chamberlain <stevenc@debian.org>,
+Build-Depends: debhelper (>= 9),
+ flex | flex-old,
+ libfl-dev | flex-old,
+ bison,
+ dpkg-dev (>= 1.16.1.1),
  libbsd-dev (>= 0.3.0),
+ libmd-dev,
  freebsd-glue (>= 0.2.20),
  bmake,
  byacc (>= 20120115~),
@@ -16,7 +20,7 @@
  libsbuf-dev,
 Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-buildutils/
 Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-buildutils/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.8
 
 Package: freebsd-buildutils
 Architecture: any
@@ -27,7 +31,7 @@
 # Not strictly required anymore. But let's drag it in for now, to avoid breaking
 # expectations.
  freebsd-mk,
-Conflicts: freebsd5-buildutils, freebsd6-buildutils
+Conflicts: freebsd5-buildutils, freebsd6-buildutils, flex-old
 Provides: freebsd6-buildutils, freebsd7-buildutils
 Description: Utilities for building FreeBSD sources
  This package contains the FreeBSD counterparts of some standard build
@@ -38,6 +42,7 @@
 
 Package: freebsd-mk
 Architecture: all
+Depends: ${misc:Depends}
 Multi-Arch: foreign
 Replaces: freebsd-buildutils (<< 10.0~svn259404-5~)
 Enhances: bmake
