=== debian/rules ===
--- 
+++ 
@@ -4,30 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_BUILD_GNU_CPU	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
-DEB_HOST_ARCH_CPU	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
-DEB_HOST_MULTIARCH	:= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-
-ifeq ($(DEB_HOST_ARCH_CPU), mipsel)
-MACHINE_ARCH		:= mips
-else
-MACHINE_ARCH		:= $(DEB_HOST_ARCH_CPU)
-endif
-
-ifeq ($(DEB_HOST_MULTIARCH), mipsel)
-MACHINE_MULTIARCH	:= mips
-else
-MACHINE_MULTIARCH	:= $(DEB_HOST_MULTIARCH)
-endif
-
-ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-    export STRIPFLAG=
-endif
 
 full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
 tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
@@ -37,35 +13,78 @@
 major           := $(shell echo $(version) | sed -e 's/\..*//g')
 revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
 
-SVN		:= https://svn0.us-west.freebsd.org/base/release/$(version).0
-#SVN		:= https://svn0.us-west.freebsd.org/base/releng/$(version)
-#SVN		:= https://svn0.us-west.freebsd.org/base/stable/$(major)
-#SVN		:= https://svn0.us-west.freebsd.org/base/head
+include /usr/share/dpkg/architecture.mk
+
+# Determine host architecture compiler
+ifeq ($(origin CC),default)
+CC := $(DEB_HOST_GNU_TYPE)-gcc
+endif
+
+# Use hardening flags
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Pre-define CFLAGS, for hardening, debug and optimisation level
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+MACHINE_ARCH		:= $(DEB_HOST_ARCH_CPU)
+MACHINE_MULTIARCH	:= $(DEB_HOST_MULTIARCH)
+
+ifeq ($(DEB_HOST_ARCH_CPU), arm)
+ifneq (,$(findstring armhf,$(DEB_HOST_ARCH)))
+MACHINE_ARCH		:= armv6hf
+else
+MACHINE_ARCH		:= armv6
+endif
+endif
+
+ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
+    export STRIPFLAG=
+endif
+
+EXTRA_CFLAGS = \
+	-D_GNU_SOURCE -pipe -Wall \
+        -DMACHINE_ARCH='\"$(MACHINE_ARCH)\"' \
+        -DMACHINE_MULTIARCH='\"$(MACHINE_MULTIARCH)\"' \
+        -I$(CURDIR)/build-tree/src/sys \
+	-isystem /usr/include/freebsd \
+	-fPIC \
+	$(CPPFLAGS) \
+	$(NULL)
+# disabled due to #630907 (see also 20_libbsd_overlay.diff)
+# $(shell pkg-config --cflags libbsd-overlay)
+CFLAGS	+= $(EXTRA_CFLAGS)
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+
+	# Do not mess with MAKEFLAGS until we transfer control to BSD make (see below)
+	BSD_MAKEFLAGS += -j$(NUMJOBS)
+endif
+
+SVN_BASE	:= https://svn.freebsd.org/base
+#SVN		:= $(SVN_BASE)/release/$(version).0
+SVN		:= $(SVN_BASE)/releng/$(version)
+#SVN		:= $(SVN_BASE)/stable/$(major)
+#SVN		:= $(SVN_BASE)/head
 
 SOURCE = freebsd-buildutils
 ORIGDIR = $(SOURCE)-$(tar_version)
-TARNAME = $(SOURCE)_$(tar_version).orig.tar.gz
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-
-	# Do not mess with MAKEFLAGS until we transfer control to BSD make (see below)
-	BSD_MAKEFLAGS += -j$(NUMJOBS)
-endif
-
-export CFLAGS = -O2 -g -Wall -D_GNU_SOURCE \
-         -DMACHINE_ARCH='"$(MACHINE_ARCH)"' \
-         -DMACHINE_MULTIARCH='"$(MACHINE_MULTIARCH)"' \
-         -I$(CURDIR)/build-tree/src/sys \
-	-D_GNU_SOURCE=1 -isystem /usr/include/freebsd
-# disabled due to #630907 (see also 20_libbsd_overlay.diff)
-# $(shell pkg-config --cflags libbsd-overlay)
-MAKE_BUILD_FLAGS = CC=gcc NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO
-
-PMAKE_FLAGS = -m $(CURDIR)/src/share/mk
+TARNAME = $(SOURCE)_$(tar_version).orig.tar.xz
+SOURCE_DATE_EPOCH ?= $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
+
+PMAKE_COMMON = \
+	MAKEFLAGS=$(BSD_MAKEFLAGS) \
+	NO_WERROR=1 NOGCCERROR=1 \
+	NOSHARED=NO NO_SHARED=NO NO_PROFILE=1 \
+	bmake \
+	CC=$(CC) \
+	-m $(CURDIR)/src/share/mk \
+	$(NULL)
 PMAKE = \
-	MAKEFLAGS=$(BSD_MAKEFLAGS) \
-	bmake $(PMAKE_FLAGS)
+	CFLAGS="$(CFLAGS)" \
+	$(PMAKE_COMMON)
+
 YACC = byacc
 
 package = $(SOURCE)
@@ -90,9 +109,18 @@
 		usr.sbin/mtree \
 		sys/dev/aic7xxx/aicasm \
 	; do \
-		svn export --ignore-keywords -r $(svn_revision) $(SVN)/$$i $(ORIGDIR)/src/$$i ; \
-	done
-	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
+		svn export --ignore-keywords -r $(svn_revision) $(SVN)/$$i $(ORIGDIR)/src/$$i || exit ; \
+	done
+	# Clamp timestamps to be no newer than last changelog entry, see
+	# https://wiki.debian.org/ReproducibleBuilds/TimestampsInTarball
+	find $(ORIGDIR) -newermt "@$(SOURCE_DATE_EPOCH)" -print0 \
+	 | xargs -0r touch --no-dereference --date="@$(SOURCE_DATE_EPOCH)"
+	# Create tarball with files sorted in a stable order, see
+	# https://wiki.debian.org/ReproducibleBuilds/FileOrderInTarballs
+	find $(ORIGDIR) -print0 | LC_ALL=C sort -z \
+	 | tar --null --no-recursion --files-from - \
+	    --numeric-owner --owner 0 --group 0 \
+	    -cJf ../$(TARNAME)
 	rm -rf $(ORIGDIR)
 
 unpack: unpack-stamp
@@ -102,30 +130,33 @@
 
 	touch unpack-stamp
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp: unpack-stamp
 	dh_testdir
 
-	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/make
-
-	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/cksum
+	$(PMAKE) -C build-tree/src/usr.bin/make
+
+	$(PMAKE) -C build-tree/src/usr.bin/cksum
 
 	cd build-tree/src/usr.bin/lex ; \
 		$(PMAKE) bootstrap ; \
-		$(PMAKE) $(MAKE_BUILD_FLAGS) NO_PROFILE=1 NO_INSTALLLIB=1
-
-	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/mkdep
-	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.sbin/mtree
-	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/file2c
-	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/brandelf
-	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/sys/dev/aic7xxx/aicasm
+		$(PMAKE) NO_INSTALLLIB=1
+
+	$(PMAKE) -C build-tree/src/usr.bin/mkdep
+	$(PMAKE) -C build-tree/src/usr.sbin/mtree
+	$(PMAKE) -C build-tree/src/usr.bin/file2c
+	$(PMAKE) -C build-tree/src/usr.bin/brandelf
+	$(PMAKE) -C build-tree/src/sys/dev/aic7xxx/aicasm
 ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
 	# Not portable yet. Maybe someday...
-	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.sbin/kldxref
+	$(PMAKE) -C build-tree/src/usr.sbin/kldxref
 endif
 
 	PATH=$(CURDIR)/build-tree/src/usr.bin/file2c:$(PATH) \
-		$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.sbin/config
+		$(PMAKE) -C build-tree/src/usr.sbin/config
 
 	touch build-stamp
 
@@ -147,7 +178,8 @@
 		DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/lib/freebsd ; \
 	done
 	$(PMAKE) -C build-tree/src/share/mk install \
-		DESTDIR=$(CURDIR)/debian/freebsd-mk BINDIR=/usr/share
+		DESTDIR=$(CURDIR)/debian/freebsd-mk BINDIR=/usr/share \
+		WITH_TESTS=yes
 
 	$(PMAKE) -C build-tree/src/sys/dev/aic7xxx/aicasm install \
 		DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/bin
